#ifndef __gxframework_devicecontext_h__
	#define __gxframework_devicecontext_h__

#include "window.h"

namespace Gx
{
	class GXFRAMEWORK_DECLSPEC DeviceContext
	{
	public:
		typedef HDC Handle;

		DeviceContext(Window::Handle windowHandle);
		~DeviceContext();

		bool swapBuffers();

		Handle getHandle() const {
			return m_handle;
		}

	private:
		DeviceContext(const DeviceContext&);
		DeviceContext& operator=(const DeviceContext&);

		Handle			m_handle;
		Window::Handle	m_windowHandle;
	};
}

#endif // ~__gxframework_devicecontext_h__
